Commit a3667388 authored by gerd's avatar gerd

Support for GIMP 2.2


git-svn-id: https://godirepo.camlcity.org/svn/app-presentation/trunk@21 50e5f3cf-a9f2-0310-83d8-d11ec64cb5ab
parent 964ec19e
......@@ -20,14 +20,18 @@ fi
echo "*** Creating $2"
args=""
# First check the version of "gimp":
v=`gimp --version | sed -e 's/^GIMP Version //'`
v=`LANG=C gimp --version | sed -e 's/^GIMP[ -][Vv]ersion //'`
case "$v" in
1.0*) scmscript="make-headline-1.0.scm" ;;
1.1*) echo "Warning: This is a development version of GIMP with unstable interfaces"
scmscript="make-headline-1.1.11.scm" ;;
1.2*) scmscript="make-headline-1.2.scm" ;;
2.0*) scmscript="make-headline-2.0.scm" ;;
2.2*) scmscript="make-headline-2.0.scm"
args="--batch-interpreter plug_in_script_fu_eval" ;;
*) echo "Error: GIMP version not supported!"
esac
......@@ -41,7 +45,7 @@ if [ "$verbose" -gt 0 ]; then
echo "Running Scheme Command: $scm"
fi
gimp --no-interface --batch "$scm" '(gimp-quit 0)'
gimp --no-interface $args --batch "$scm" '(gimp-quit 0)'
# The exit code of this script is the code of the following test:
test -f "$2"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment